WiPay
WAPIsv2.0.0User

Retrieve Profile

Retrieve the authenticated user's profile, balances, and bank configuration status

Retrieve the profile of the authenticated user, including account details, balances, and bank configuration status.

Endpoint

GET /user
AccessRequirement
AuthenticatedYes
Required Scopewapi-user-retrieve, or wapi-user-all
Rate Limit15 requests per minute

Request

Headers

HeaderValue
Acceptapplication/json
AuthorizationBearer <access_token>
X-WAPI-Keywapi_live_<kid>_<secret> or wapi_test_<kid>_<secret>

Send exactly one of Authorization or X-WAPI-Key.

No query parameters or request body required.

Responses

200 OK

{
  "message": "OK",
  "data": {
    "account_number": 1234567890,
    "account_type": "BUSINESS",
    "balances": {
      "foreign": {
        "balance": 0.75,
        "currency": "USD"
      },
      "local": {
        "balance": 59.9,
        "currency": "TTD"
      }
    },
    "bank_configured": {
      "foreign": false,
      "local": true
    },
    "country": "TT-780",
    "email": "wapi@test.com",
    "first_name": "TEST",
    "last_name": "MERCHANT",
    "phone": "+18687778899",
    "profile_picture": "https://ttsb.wipayfinancial.com/profile_pictures/wapi@test.com.1589386778.png",
    "verified": true
  }
}
FieldTypeDescription
data.account_numberstringThe user's WiPay account number
data.account_typestring"PERSONAL" or "BUSINESS"
data.balances.localobjectLocal currency balance
data.balances.local.balancenumberAccount balance
data.balances.local.currencystringLocal currency code (e.g. "TTD")
data.balances.foreignobjectForeign currency balance
data.balances.foreign.balancenumberAccount balance
data.balances.foreign.currencystringForeign currency code (e.g. "USD")
data.bank_configured.localbooleanWhether a local bank account is configured
data.bank_configured.foreignbooleanWhether a foreign bank account is configured
data.countrystringCountry identifier
data.emailstringEmail address
data.first_namestringFirst name
data.last_namestringLast name
data.phonestringPhone number
data.profile_picturestring | nullFull URL to the profile picture, or null if none is set
data.verifiedbooleanWhether the account is verified

401 Unauthorized

{
  "message": "Unauthorized"
}

403 Forbidden

{
  "message": "Invalid scope(s) provided."
}

Example

curl -X GET "https://ttsb.wipayfinancial.com/wapi/user" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer <access_token>"